textures/urban_terror/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/urban_terror/black.tga
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
        {
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

models\mapobjects\multiplant\fern
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models\mapobjects\multiplant\fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models\mapobjects\multiplant\batleaf
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models\mapobjects\multiplant\batleaf.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models\mapobjects\multiplant\invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/urban_terror/thedesert_sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_lightimage textures/urban_terror/daysky1_blend.tga

	q3map_sun 1 1 .8 20 65 80
	q3map_surfacelight 120
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/desert 512 -
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/common/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

models/mapobjects/defcon_tree/tree
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadows

	{
		map models/mapobjects/defcon_tree/tree.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/defcon_tree/tree2
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree2.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/defcon_tree/tree3
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree3.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/liquids/clear_calm1
{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendfunc gl_dst_color gl_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	
	

}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

models/mapobjects/jesus/jesuswall
{
   deformvertexes wave 100 sin 0 .2 0 .2
   cull none         
        {
		map $lightmap
              	
	}
	{
		map models/mapobjects/jesus/jesuswall.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen vertex
		alphagen lightingspecular
	}


}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/zap_scroll1000
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_lightimage textures/sfx/zap_scroll.tga
	qer_editorimage textures/sfx/zap_scroll2.tga
	cull none
	
	{
		map textures/sfx/zap_scroll.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle .8 2 0 7
                tcmod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1.4 0 5
                tcmod scale  -1 1
                tcmod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1.4 0 6.3
                tcmod scale  -1 1
                tcmod scroll 2 1
	}	
        {
		map textures/sfx/zap_scroll2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 1.4 0 7.7
                tcmod scroll -1.3 1
	}	
}

textures/bbq/bbqgate
{
	qer_editor_image textures/bbq/bbqgate.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/bbqgate.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/botkiller/tub_river1
{
	qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 -.156
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.154
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 -.2
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

	
}

textures/bbq/foliage
{
	qer_editor_image textures/bbq/foliage.tga
	qer_trans 0.40
	cull disable
	{
		map textures/bbq/foliage.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen vertex
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/urbanterror/palmtree/palmleaves
{
	cull none
	deformvertexes wave 150 sin 0 1 0 .3
	surfaceparm nolightmap
	
	{
		map models/mapobjects/urbanterror/palmtree/palmleaves.tga
		
		depthwrite
	}
}

models/mapobjects/urbanterror/palmtree/palmtrunk
{
	surfaceparm nolightmap
	surfaceparm playerclip
	
	{
		map models/mapobjects/urbanterror/palmtree/palmtrunk.tga
		depthwrite		
	}
}

textures/ut_202/woodladder
{
        qer_editorimage textures/ut_202/woodladder_64x64.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
        surfaceparm ladder
	cull none
        nopicmip
	{
		map textures/ut_202/woodladder_64x64.tga
		tcmod scale 1 1
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/ut-lights/candlelight
{
	q3map_lightimage models/mapobjects/ut-lights/candlelight.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map models/mapobjects/ut-lights/candlelight.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 .1 0 .3	
	}
}

models/mapobjects/lamps/flare
{
	deformvertexes autosprite
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 13
	
	{
		map models/mapobjects/ut-lights/flare.tga
		blendfunc gl_one gl_one
	}
        {
		map models/mapobjects/ut-lights/flare.jpg
		blendfunc add
		rgbgen wave sawtooth .1 .1 0 3
	}	
	
}

models/mapobjects/skeletons/skeleton
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/skeletons/skeleton.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/zfc/plant02zfc
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes wave 10 sin 0 3 0 0.5 
	{
		map textures/zfc/plant02zfc.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/zfc/invisiblezfc
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/zfc/invisiblezfc.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

textures/zfc/leafzfc
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/zfc/leafzfc.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/zfc/fs_rain2zfc
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/zfc/fs_rain2zfc.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 0 -1
	}
}

textures/zfc/eauzfc
{
	qer_editorimage textures/liquids/pool3d_3.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformvertexes wave 64 sin 0.5 0.5 0 0.5 
	deformvertexes wave 10 sin 0 3 0 0.3 
	qer_trans 0.5
	q3map_globaltexture
	{
		map textures/liquids/pool3d_5.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -0.05 -0.356
	}
	{
		map textures/liquids/pool3d_6.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.5 0.5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll 0.025 -0.354
	}
	{
		map textures/liquids/pool3d_3.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale 0.25 0.5
		tcmod scroll 0.001 -0.4
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
	}
}

textures/zfc/plants
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/zfc/plants.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/zfc/vines
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/zfc/vines.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbgen identity
		tcgen lightmap 
		depthfunc equal
	}
}

textures/zfc/chute
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	{
		map textures/zfc/chute.tga
		blendfunc add
		rgbgen identity
		tcmod scroll 0 -1
	}
}

textures/zfc/sparks_1
{
	qer_editorimage textures/zfc/sparks.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformvertexes move 7.60132 7.20208 -79.3117 sawtooth 0 1 0.933714 0.25 
	{
		clampmap textures/zfc/sparks.tga
		blendfunc add
		rgbgen wave sawtooth 1 0 0.933714 0.25 
		tcmod rotate 15
		tcmod stretch sawtooth 0.5 -0.4 0.933714 0.25 
		alphagen wave sawtooth 1 0 0.933714 0.25 
	}
}

textures/zfc/craw
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/zfc/craw.tga
		rgbgen vertex
		depthwrite
		alphafunc ge128
	}
}

models/mapobjects/crucified/sheet
{
    cull disable
    deformvertexes wave 100 sin 0 .2 0 .2
        {
                map models/mapobjects/crucified/sheet.tga
                alphafunc ge128
		depthwrite
		rgbgen exactvertex
        }

}

